<!-- side modal -->
<app-side-modal (closeClick)="emitCloseClick()">
  <!-- header -->
  <app-side-modal-header>
    <!-- title -->
    <app-side-modal-title>
      SEND KEYHOLDER'S<br />
      AUTH CODE
    </app-side-modal-title>
  </app-side-modal-header>

  <!-- content -->
  <app-side-modal-content>
    <!-- scroll content -->
    <app-custom-scrollbar>
      <!-- code generator -->
      <app-auth-code-generator [user]="user" type="keyholder">
        <ng-container message>
          In order to send Auth code to keyholder, description lorem ipsum capitalize on low hanging fruit to identify a
          ballpark value added activity to beta test. Override the digital divide from DevOps.
        </ng-container>
      </app-auth-code-generator>
    </app-custom-scrollbar>
  </app-side-modal-content>

  <!-- footer -->
  <app-side-modal-footer>
    <!-- close -->
    <button (click)="emitCloseClick()" appFlatButton theme="secondary">
      Close
    </button>
  </app-side-modal-footer>
</app-side-modal>
